.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)hier.7	8.1 (Berkeley) 6/5/93
.\" $FreeBSD: src/share/man/man7/hier.7,v 1.6.2.5 1999/09/05 11:27:09 peter Exp $
.\"
.Dd June 5, 1993
.Dt HIER 7
.Os
.Sh NAME
.Nm hier
.Nd layout of filesystems
.Sh DESCRIPTION
A sketch of the filesystem hierarchy.
.Bl -tag -width "/stand/"
.It Li /
root directory of the filesystem
.It Li /bin/
user utilities fundamental to both single-user and multi-user environments
.It Li /dev/
block and character device files
.Pp
.Bl -tag -width MAKEDEV -compact
.It Li MAKEDEV
script for creating device files;
see
.Xr MAKEDEV 8
.It Li fd/ 
file descriptor files;
see
.Xr \&fd 4
.El
.It Li /etc/
system configuration files and scripts 
.Pp
.Bl -tag -width "disklabels/" -compact
.It Li gnats/
gnats configuration files;
see
.Xr send-pr 1
.It Li kerberosIV/ 
configuration files for the kerberos version IV;
see
.Xr kerberos 1
.It Li localtime
local timezone information;
see
.Xr ctime 3
.It Li mtree/ 
mtree configuration files;
see
.Xr mtree 8
.It Li namedb/ 
named configuration files;
see
.Xr named 8
.It Li ppp/
.Xr ppp 8 
ppp configuration files;
see 
.Xr ppp 8
.It Li skel/
local example . (dot) files for new accounts;
see
.Xr adduser 8
.It Li uucp/
uucp configuration files;
see
.Xr uucp 1
.El
.It Li /kernel
pure kernel executable (the operating system loaded into memory
at boot time).  
.It Li /lkm/
loadable kernel modules;
see 
.Xr lkm 4 
.It Li /mnt/
empty directory commonly used by
system administrators as a temporary mount point
.It Li /proc/
process file system;
see
.Xr procfs 5 ,
.Xr mount_procfs 8
.It Li /root
root's HOME directory
.It Li /sbin/
system programs and administration utilities
fundamental to both single-user and multi-user environments
.It Li /stand/
programs used in a standalone environment
.It Li /tmp/ 
temporary files, usually a
.Xr mfs 8
memory-based filesystem (the contents
of /tmp are usually NOT preserved across a system reboot)
.It Li /usr/
contains the majority of user utilities and applications 
.Pp
.Bl -tag -width "libdata/" -compact
.It Li bin/
common utilities, programming tools, and applications 
.It Li games/
useful and semi-frivolous programs
.It Li include/
standard C include files
.Pp
.Bl -tag -width "kerberosIV/" -compact
.It Li arpa/
C include files for Internet service protocols
.It Li g++/
GNU C++ include files
.Bl -tag -width "kerberosIV/" -compact
.It Li std
GNU C++ libstdc++ include files
.El
.It Li isofs
.Bl -tag -width "kerberosIV/" -compact
.It Li cd9660
iso9660 filesystem
.El
.It Li kerberosIV/
C include files for kerberos authentication package;
see
.Xr kerberos 1
.It Li machine/
machine specific C include files
.It Li msdosfs/
MS-DOS file system
.It Li net/
misc network C include files
.\" .It Li netimp/
.\" C include files for IMP protocols;
.\" see
.\" .Xr imp 4
.It Li netatalk/
Appletalk protocol
.It Li netinet/
C include files for Internet standard protocols;
see
.Xr inet 4
.\" .It Li netiso/
.\" C include files for ISO standard protocols;
.\" see
.\" .Xr iso 4
.\" .It Li netns/
.\" C include files for XNS standard protocols;
.\" see
.\" .Xr \&ns 4
.It Li netipx/
IPX/SPX protocol stacks
.It Li netkey/
kernel key-management service
.It Li netns/
Xerox NS protocols
.It Li nfs/
C include files for NFS (Network File System)
.It Li objc/
???
.It Li pccard/
PC-CARD controllers
.It Li protocols/
C include files for Berkeley service protocols
.It Li readline/
get a line from a user with editing;
see
.Xr readline 3
.It Li rpc/
remote procedure calls;
see
.Xr rpc 3
.It Li rpcsvc/
???
.It Li ss/
libss ???
.It Li sys/
system C include files (kernel data structures)
.It Li tcl/
Tcl language;
see
Xr Tcl n
.Bl -tag -width "kerberosIV/" -compact
.It Li generic/
???
.It Li unix/
???
.El
.It Li ufs/
C include files for UFS (The U-word File System)
.Bl -tag -width "kerberosIV/" -compact
.It Li ffs/
Fast filesystem
.It Li lfs/
log filesystem;
see
.Xr mount_lfs 8
.It Li mfs/
memory file system;
see
.Xr mount_mfs 8
.It Li ufs/
UFS filesystem
.El
.It Li vm/
virtual memory;
see 
.Xr vmstat 8
.El
.Pp
.It Li lib/
archive libraries
.Bl -tag -width Fl -compact
.It Li compat/
shared libraries for compatibly
.El
.Pp
.It Li libdata/
misc. utility data files
.Bl -tag -width Fl -compact
.It Li gcc/
???
.It Li lint/
various prebuilt lint libraries;
see 
.Xr lint 1
.It Li stallion/
holding the download firmware images
.It Li tcl
???;
see
.Xr Tcl n
.El
.Pp
.It Li libexec/
system daemons & system utilities (executed by other programs)
.Bl -tag -width Fl -compact
.It Li lpr/
???
see
.Xr lpr 1
.It Li sm.bin/
restricted shell for sendmail;
see 
.Xr smrsh 8
.It Li uucp/
uucp utilities;
see
.Xr uucp 1
.El
.Pp
.It Li local/
local executables, libraries, etc.
.br
Also used as the default destination for the
.Tn FreeBSD
ports framework.
Within local/, the general layout sketched out by
.Xr hier 7
for /usr
should be used.  Exceptions are the man directory is directly under local/
rather than under local/share/.  Ports documentation is in share/doc/<port>/
.It Li mdec/
boot programs;
see
.Xr disklabel 8
.It Li obj/
architecture-specific target tree produced by building the /usr/src tree
.It Li ports
The
.Tn FreeBSD
ports collection (optional).
.It Li sbin/
system daemons & system utilities (executed by users)
.It Li share/
architecture-independent ascii text files
.Pp
.Bl -tag -width "calendar/" -compact
.It Li calendar/
a variety of pre-fab calendar files;
see
.Xr calendar 1
.It Li dict/
word lists;
see
.Xr look 1
.Pp
.Bl -tag -width Fl -compact
.It Li words
common words
.It Li web2
words from Webster's 2nd International
.It Li papers/
reference databases;
see
.Xr refer 1
.It Li special/
custom word lists;
see
.Xr spell 1
.El
.Pp
.It Li doc/
misc documentation;
src for most of the printed
.Bx BSD
manuals (available
from the
.Tn USENIX
association)
.Bl -tag -width Fl -compact
.It Li FAQ/
Frequently Asked Questions
.It Li handbook/
.Tn FreeBSD
Handbook
.It Li papers/
UNIX Papers
.It Li psd/
UNIX Programmer's Supplementary Documents
.It Li smm/
UNIX System Manager's Manual
.It Li usd/
UNIX User's Supplementary Documents
.El
.Pp
.It Li examples/
various examples for users and programmers
.It Li games/
ascii text files used by various games
.It Li groff_font/
device description file for device name
.It Li info/
GNU Info hypertext system
.It Li isdn/
ISDN
.It Li libg++/
libg++'s genclass prototype/template class files
.It Li locale/
internationalization files;
see
.Xr setlocale 3
.It Li man/
manual pages 
.It Li me/
macros for use with the me macro package
.It Li misc/
misc system-wide ascii text files
.Bl -tag -width Fl -compact
.It Li fonts/
???
.It Li pcvtfonts/
???;
see
.Xr pcvt 4
.It Li pkg_manage/
package manager help files;
see
.Xr pkg_manage
.It Li termcap
terminal characteristics database;
see
.Xr termcap 5
.El
.It Li mk/
templates for make;
see
.Xr make 1
.It Li ms/
macros for use with the ms macro package
.It Li nls/
national language support files;
see 
.Xr mklocale 1
.It Li perl/
perl library files;
see
.Xr perl 1
.It Li sgml/
SGML tools files;
see
.Xr instant 1 
.It Li skel/
example . (dot) files for new accounts
.It Li tabset/
tab description files for a variety of terminals; used in 
the termcap file;
see
.Xr termcap 5
.It Li tmac/
text processing macros;
see
.Xr nroff 1
and 
.Xr troff 1
.It Li zoneinfo/
timezone configuration information;
see
.Xr tzfile 5
.El
.It Li src/
BSD and/or local source files
.Pp
.Bl -tag -width "kerberosIV/" -compact
.It Li bin/
src for files in /bin 
.It Li contrib/
src for file from contributed software
.It Li eBones
Kerberos and DES
.It Li etc/
src for files in /etc
.It Li games/
src for files in /usr/games
.It Li gnu/
Utilities covered by the GNU Public License
.It Li include/
src for files in /usr/include
.It Li kerberosIV/
src for kerberos version IV
.It Li lib/
src for files in /usr/lib
.It Li libexec/
src for files in /usr/libexec
.It Li local/
src for files in /usr/local
.It Li lkm
src for files in /lkm
.It Li release
Files required to produce a
.Tn FreeBSD 
release
.It Li sbin/
src for files in /sbin
.It Li secure
DES Sources
.It Li share/
src for files in /usr/share
.It Li sys/
kernel src files
.It Li usr.bin/
src for files in /usr/bin
.It Li usr.sbin/
src for files in /usr/sbin
.El
.Pp
.It Li X11R6/
X11R6 distribution executables, libraries, etc (optional).
.El
.It Li /var/
multi-purpose log, temporary, transient, and spool files
.Pp
.Bl -tag -width "preserve/" -compact
.It Li account/ 
system accounting files
.Pp
.Bl -tag -width Fl -compact
.It Li acct
execution accounting file;
see
.Xr acct 5
.El
.Pp
.It Li at/
timed command scheduling files;
see
.Xr \&at 1
.Bl -tag -width "preserve/" -compact
.It Li jobs
directory containing job files
.It Li spool
directory containing output spool files 
.El
.Pp
.It Li backups/
misc. backup files
.It Li crash
???;
see
.Xr crash 8
.It Li cron/
.Bl -tag -width "preserve/" -compact
.It Li log
cron log files;
see
.Xr cron 8
.It Li tabs
crontab files;
see
.Xr crontab 5
.El
.Pp
.It Li db/ 
misc. automatically generated system-specific database files
.It Li games/ 
misc. game status and log files
.It Li games/
games score files
.It Li log/ 
misc. system log files
.Pp
.Bl -tag -width Fl -compact
.It Li wtmp
login/logout log;
see
.Xr wtmp 5
.El
.Pp
.It Li mail/ 
user mailbox files
.It Li preserve/
temporary home of files preserved after an accidental death
of an editor;
see
.Xr \&ex 1 
.It Li msgs/
system messages database;
see
.Xr msgs 1
.It Li quotas/ 
filesystem quota information files
.It preserve
???
.It Li run/
system information files describing various info about
system since it was booted
.Pp
.Bl -tag -width Fl -compact
.It Li utmp
database of current users;
see
.Xr utmp 5
.El
.Pp
.It Li rwho/ 
rwho data files;
see
.Xr rwhod 8 ,
.Xr rwho 1 ,
and
.Xr ruptime 1
.It Li spool/ 
misc. printer and mail system spooling directories
.Pp
.Bl -tag -width Fl -compact
.It Li ftp/ 
commonly ~ftp; the anonymous ftp root directory
.It Li mqueue/ 
undelivered mail queue;
see
.Xr sendmail 8
.It Li output/
line printer spooling directories
.It Li secretmail/ 
secretmail spool directory;
see
.Xr xget 1
.It Li uucp/ 
uucp spool directory
.It Li uucppublic/
commonly ~uucp; public uucp temporary directory
.El
.Pp
.It Li tmp/ 
temporary files that are kept between system reboots
.Bl -tag -width Fl -compact
.It Li vi.recover
the directory where recovery files are stored
.El
.It Li yp
the NIS maps
.El
.El
.Sh SEE ALSO
.Xr apropos 1 ,
.Xr find 1 ,
.Xr finger 1 ,
.Xr grep 1 ,
.Xr ls 1 ,
.Xr whatis 1 ,
.Xr whereis 1 ,
.Xr which 1 ,
.Xr fsck 8
.Sh HISTORY
A
.Nm hier
manual page appeared in
.At v7 .
